Add global docker jobs

Add global build and push jobs for docker images
Set proper docker tag convention for snapshot and staging
binaries.

Change-Id: I0e805b5c9eebac6aaea627d855d7b542158b6a0f
Issue-ID: CIMAN-132
Signed-off-by: Jessica Wagantall <jwagantall@linuxfoundation.org>
Signed-off-by: Jeremy Phelps <jphelps@linuxfoundation.org>
diff --git a/shell/snapshot-strip.sh b/shell/snapshot-strip.sh
new file mode 100644
index 0000000..a418a75
--- /dev/null
+++ b/shell/snapshot-strip.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+# Strip -SNAPSHOT from pom
+find . -name "*.xml" -print0 | xargs -0 sed -i 's/-SNAPSHOT//g'